org.apache.maven.scm.command.remove

## Class RemoveScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.remove.RemoveScmResult

- All Implemented Interfaces:
    Serializable

      public class RemoveScmResult
      extends ScmResult

  Version:
    $Id: RemoveScmResult.java 483105 2006-12-06 15:07:54Z evenisse $
  Author:
    Brett Porter
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveScmResult(List removedFiles, ScmResult result)`
    `RemoveScmResult(String commandLine, List removedFiles)`
    `RemoveScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getRemovedFiles()`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveScmResult

          public RemoveScmResult(String commandLine,
                         String providerMessage,
                         String commandOutput,
                         boolean success)

    - #### RemoveScmResult

          public RemoveScmResult(String commandLine,
                         List removedFiles)

    - #### RemoveScmResult

          public RemoveScmResult(List removedFiles,
                         ScmResult result)

  - ### Method Detail

    - #### getRemovedFiles

          public List getRemovedFiles()

Copyright © 2003–2015. All rights reserved.